## yt-dlp 2024.04.09

=== Makefile ===
all: lazy-extractors yt-dlp doc pypi-files
clean: clean-test clean-dist
clean-all: clean clean-cache
completions: completion-bash completion-fish completion-zsh
doc: README.md CONTRIBUTING.md CONTRIBUTORS issuetemplates supportedsites
ot: offlinetest
tar: yt-dlp.tar.gz

# Keep this list in sync with pyproject.toml includes/artifacts
# intended use: when building a source distribution,
# make pypi-files && python3 -m build -sn .
pypi-files: AUTHORS Changelog.md LICENSE README.md README.txt supportedsites \
            completions yt-dlp.1 pyproject.toml setup.cfg devscripts/* test/*

.PHONY: all clean clean-all clean-test clean-dist clean-cache \
        completions completion-bash completion-fish completion-zsh \
        doc issuetemplates supportedsites ot offlinetest codetest test \
        tar pypi-files lazy-extractors install uninstall

clean-test:
	rm -rf test/testdata/sigs/player-*.js tmp/ *.annotations.xml *.aria2 *.description *.dump *.frag \
	*.frag.aria2 *.frag.urls *.info.json *.live_chat.json *.meta *.part* *.tmp *.temp *.unknown_video *.ytdl \
	*.3gp *.ape *.ass *.avi *.desktop *.f4v *.flac *.flv *.gif *.jpeg *.jpg *.lrc *.m4a *.m4v *.mhtml *.mkv *.mov *.mp3 *.mp4 \
	*.mpg *.mpga *.oga *.ogg *.opus *.png *.sbv *.srt *.ssa *.swf *.swp *.tt *.ttml *.url *.vtt *.wav *.webloc *.webm *.webp
clean-dist:
	rm -rf yt-dlp.1.temp.md yt-dlp.1 README.txt MANIFEST build/ dist/ .coverage cover/ yt-dlp.tar.gz completions/ \
	yt_dlp/extractor/lazy_extractors.py *.spec CONTRIBUTING.md.tmp yt-dlp yt-dlp.exe yt_dlp.egg-info/ AUTHORS
clean-cache:
	find . \( \
		-type d -name .pytest_cache -o -type d -name __pycache__ -o -name "*.pyc" -o -name "*.class" \
	\) -prune -exec rm -rf {} \;

completion-bash: completions/bash/yt-dlp
completion-fish: completions/fish/yt-dlp.fish
completion-zsh: completions/zsh/_yt-dlp
lazy-extractors: yt_dlp/extractor/lazy_extractors.py

PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/man
SHAREDIR ?= $(PREFIX)/share
PYTHON ?= /usr/bin/env python3
GNUTAR ?= tar

# set markdown input format to "markdown-smart" for pandoc version 2+ and to "markdown" for pandoc prior to version 2
PANDOC_VERSION_CMD = pandoc -v 2>/dev/null | head -n1 | cut -d' ' -f2 | head -c1
PANDOC_VERSION != $(PANDOC_VERSION_CMD)
PANDOC_VERSION ?= $(shell $(PANDOC_VERSION_CMD))
MARKDOWN_CMD = if [ "$(PANDOC_VERSION)" = "1" -o "$(PANDOC_VERSION)" = "0" ]; then echo markdown; else echo markdown-smart; fi
MARKDOWN != $(MARKDOWN_CMD)
MARKDOWN ?= $(shell $(MARKDOWN_CMD))

install: lazy-extractors yt-dlp yt-dlp.1 completions
	mkdir -p $(DESTDIR)$(BINDIR)
	install -m755 yt-dlp $(DESTDIR)$(BINDIR)/yt-dlp
	mkdir -p $(DESTDIR)$(MANDIR)/man1
	install -m644 yt-dlp.1 $(DESTDIR)$(MANDIR)/man1/yt-dlp.1
	mkdir -p $(DESTDIR)$(SHAREDIR)/bash-completion/completions
	install -m644 completions/bash/yt-dlp $(DESTDIR)$(SHAREDIR)/bash-completion/completions/yt-dlp
	mkdir -p $(DESTDIR)$(SHAREDIR)/zsh/site-functions
	install -m644 completions/zsh/_yt-dlp $(DESTDIR)$(SHAREDIR)/zsh/site-functions/_yt-dlp
	mkdir -p $(DESTDIR)$(SHAREDIR)/fish/vendor_completions.d
	install -m644 completions/fish/yt-dlp.fish $(DESTDIR)$(SHAREDIR)/fish/vendor_completions.d/yt-dlp.fish

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/yt-dlp
	rm -f $(DESTDIR)$(MANDIR)/man1/yt-dlp.1
	rm -f $(DESTDIR)$(SHAREDIR)/bash-completion/completions/yt-dlp
	rm -f $(DESTDIR)$(SHAREDIR)/zsh/site-functions/_yt-dlp
	rm -f $(DESTDIR)$(SHAREDIR)/fish/vendor_completions.d/yt-dlp.fish

codetest:
	flake8 .

test:
	$(PYTHON) -m pytest
	$(MAKE) codetest

offlinetest: codetest
	$(PYTHON) -m pytest -k "not download"

CODE_FOLDERS_CMD = find yt_dlp -type f -name '__init__.py' | sed 's,/__init__.py,,' | grep -v '/__' | sort
CODE_FOLDERS != $(CODE_FOLDERS_CMD)
CODE_FOLDERS ?= $(shell $(CODE_FOLDERS_CMD))
CODE_FILES_CMD = for f in $(CODE_FOLDERS) ; do echo "$$f" | sed 's,$$,/*.py,' ; done
CODE_FILES != $(CODE_FILES_CMD)
CODE_FILES ?= $(shell $(CODE_FILES_CMD))
yt-dlp: $(CODE_FILES)
	mkdir -p zip
	for d in $(CODE_FOLDERS) ; do \
	  mkdir -p zip/$$d ;\
	  cp -pPR $$d/*.py zip/$$d/ ;\
	done
	(cd zip && touch -t 200001010101 $(CODE_FILES))
	mv zip/yt_dlp/__main__.py zip/
	(cd zip && zip -q ../yt-dlp $(CODE_FILES) __main__.py)
	rm -rf zip
	echo '#!$(PYTHON)' > yt-dlp
	cat yt-dlp.zip >> yt-dlp
	rm yt-dlp.zip
	chmod a+x yt-dlp

README.md: $(CODE_FILES) devscripts/make_readme.py
	COLUMNS=80 $(PYTHON) yt_dlp/__main__.py --ignore-config --help | $(PYTHON) devscripts/make_readme.py

CONTRIBUTING.md: README.md devscripts/make_contributing.py
	$(PYTHON) devscripts/make_contributing.py README.md CONTRIBUTING.md

issuetemplates: devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/1_broken_site.yml .github/ISSUE_TEMPLATE_tmpl/2_site_support_request.yml .github/ISSUE_TEMPLATE_tmpl/3_site_feature_request.yml .github/ISSUE_TEMPLATE_tmpl/4_bug_report.yml .github/ISSUE_TEMPLATE_tmpl/5_feature_request.yml yt_dlp/version.py
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/1_broken_site.yml .github/ISSUE_TEMPLATE/1_broken_site.yml
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/2_site_support_request.yml .github/ISSUE_TEMPLATE/2_site_support_request.yml
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/3_site_feature_request.yml .github/ISSUE_TEMPLATE/3_site_feature_request.yml
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/4_bug_report.yml .github/ISSUE_TEMPLATE/4_bug_report.yml
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/5_feature_request.yml .github/ISSUE_TEMPLATE/5_feature_request.yml
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/6_question.yml .github/ISSUE_TEMPLATE/6_question.yml

supportedsites:
	$(PYTHON) devscripts/make_supportedsites.py supportedsites.md

README.txt: README.md
	pandoc -f $(MARKDOWN) -t plain README.md -o README.txt

yt-dlp.1: README.md devscripts/prepare_manpage.py
	$(PYTHON) devscripts/prepare_manpage.py yt-dlp.1.temp.md
	pandoc -s -f $(MARKDOWN) -t man yt-dlp.1.temp.md -o yt-dlp.1
	rm -f yt-dlp.1.temp.md

completions/bash/yt-dlp: $(CODE_FILES) devscripts/bash-completion.in
	mkdir -p completions/bash
	$(PYTHON) devscripts/bash-completion.py

completions/zsh/_yt-dlp: $(CODE_FILES) devscripts/zsh-completion.in
	mkdir -p completions/zsh
	$(PYTHON) devscripts/zsh-completion.py

completions/fish/yt-dlp.fish: $(CODE_FILES) devscripts/fish-completion.in
	mkdir -p completions/fish
	$(PYTHON) devscripts/fish-completion.py

_EXTRACTOR_FILES_CMD = find yt_dlp/extractor -name '*.py' -and -not -name 'lazy_extractors.py'
_EXTRACTOR_FILES != $(_EXTRACTOR_FILES_CMD)
_EXTRACTOR_FILES ?= $(shell $(_EXTRACTOR_FILES_CMD))
yt_dlp/extractor/lazy_extractors.py: devscripts/make_lazy_extractors.py devscripts/lazy_load_template.py $(_EXTRACTOR_FILES)
	$(PYTHON) devscripts/make_lazy_extractors.py $@

yt-dlp.tar.gz: all
	@$(GNUTAR) -czf yt-dlp.tar.gz --transform "s|^|yt-dlp/|" --owner 0 --group 0 \
		--exclude '*.DS_Store' \
		--exclude '*.kate-swp' \
		--exclude '*.pyc' \
		--exclude '*.pyo' \
		--exclude '*~' \
		--exclude '__pycache__' \
		--exclude '.pytest_cache' \
		--exclude '.git' \
		-- \
		README.md supportedsites.md Changelog.md LICENSE \
		CONTRIBUTING.md Collaborators.md CONTRIBUTORS AUTHORS \
		Makefile yt-dlp.1 README.txt completions .gitignore \
		setup.cfg yt-dlp yt_dlp pyproject.toml devscripts test

AUTHORS: Changelog.md
	@if [ -d '.git' ] && command -v git > /dev/null ; then \
	  echo 'Generating $@ from git commit history' ; \
	  git shortlog -s -n HEAD | cut -f2 | sort > $@ ; \
	fi

CONTRIBUTORS: Changelog.md
	@if [ -d '.git' ] && command -v git > /dev/null ; then \
	  echo 'Updating $@ from git commit history' ; \
	  $(PYTHON) devscripts/make_changelog.py -v -c > /dev/null ; \
	fi

=== debian/changelog ===
yt-dlp (2024.04.09-1) unstable; urgency=medium

  * New upstream version 2024.04.09.
    - d/patches: Fix zsh's path, refresh remaining patches.
  * d/p/0005-Skip-failing-tests.patch: Skip failing tests.
  * Update Standards-Version to 4.7.0.

 -- Unit 193 <unit193@debian.org>  Wed, 17 Apr 2024 03:26:07 -0400

yt-dlp (2024.03.10-1) unstable; urgency=medium

  * New upstream version 2024.03.10.
    - Refresh patches.
  * d/control: Replace python3-setuptools with python3-hatchling.
  * d/t/upstream-tests.sh: Exclude websocket tests for now, requires version 12

 -- Unit 193 <unit193@debian.org>  Mon, 11 Mar 2024 03:49:02 -0400

=== debian/control ===
Source: yt-dlp
Maintainer: Unit 193 <unit193@debian.org>
Section: web
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python (>= 5.20211213~),
 pandoc,
 pybuild-plugin-pyproject,
 python3-pkg-resources,
 python3-pytest <!nocheck>,
 python3-hatchling,
 zip
Build-Depends-Indep:
 python3
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://codeberg.org/Unit193/yt-dlp
Vcs-Git: https://codeberg.org/Unit193/yt-dlp.git
Homepage: https://github.com/yt-dlp/yt-dlp

Package: yt-dlp
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-pkg-resources
Recommends:
 aria2 | wget | curl,
 ca-certificates,
 ffmpeg,
Suggests:
 libfribidi-bin | bidiv,
 phantomjs
Description: downloader of videos from YouTube and other sites
 yt-dlp is a youtube-dl fork based on the now inactive youtube-dlc.
 The main focus of this project is adding new features and patches
 while also keeping up to date with the original project.
 .
 yt-dlp is a small command-line program to download videos from
 YouTube.com and other sites that don't provide direct links to the
 videos served.
 .
 yt-dlp allows the user, among other things, to choose a specific video
 quality to download (if available) or let the program automatically
 determine the best (or worst) quality video to grab. It supports
 downloading entire playlists and all videos from a given user.
 .
 Currently supported sites (or features of sites) are:
 .
 ${yt-dlp:Sites}

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME = yt_dlp

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_configure:
	PREFIX=/usr SYSCONFDIR=/etc make
	python3 devscripts/set-variant.py debian -M "As yt-dlp has been installed via apt, you should use that to update.  If you're on a stable release, also check backports."
	rm yt-dlp

override_dh_clean:
	make clean
	dh_clean

override_dh_auto_test:
	make offlinetest PYTHON=python3

override_dh_installchangelogs:
	DEB_BUILD_OPTIONS=notrimdch dh_installchangelogs Changelog.md

override_dh_gencontrol:
	dh_gencontrol -- -Vyt-dlp:Sites="$$(sed -n -e 's/.* \- \*\*//g' -e 's/:.*//' -e 's/\*\*.*/,/p' supportedsites.md | fmt )"

## yt-dlp 2024.05.27

=== debian/changelog ===
yt-dlp (2024.05.27-1~bpo24.04.1) noble-backports; urgency=medium

  * No-change backport to noble.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 30 May 2024 06:48:58 -0400

yt-dlp (2024.05.27-1) unstable; urgency=medium

  * New upstream version 2024.05.27.

 -- Unit 193 <unit193@debian.org>  Tue, 28 May 2024 21:13:46 -0400

yt-dlp (2024.05.26-1) unstable; urgency=medium

  * New upstream version 2024.05.26.
    - Drop patch fixed upstream, refresh remaining.

 -- Unit 193 <unit193@debian.org>  Sun, 26 May 2024 21:43:13 -0400

## yt-dlp 2024.07.09

=== debian/changelog ===
yt-dlp (2024.07.09-1) unstable; urgency=medium

  * New upstream version 2024.07.09.

 -- Unit 193 <unit193@debian.org>  Tue, 09 Jul 2024 01:30:28 -0400

yt-dlp (2024.07.07-1) unstable; urgency=medium

  * New upstream version 2024.07.07.

 -- Unit 193 <unit193@debian.org>  Mon, 08 Jul 2024 02:39:24 -0400

yt-dlp (2024.07.02-1) unstable; urgency=medium

  * New upstream version 2024.07.02.

 -- Unit 193 <unit193@debian.org>  Tue, 02 Jul 2024 20:22:59 -0400

yt-dlp (2024.07.01-1) unstable; urgency=medium

  * New upstream version 2024.07.01.
    - Disallow unsafe extensions (CVE-2024-38519)

 -- Unit 193 <unit193@debian.org>  Tue, 02 Jul 2024 03:53:05 -0400

## yt-dlp 2024.08.01

=== debian/changelog ===
yt-dlp (2024.08.01-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 02 Aug 2024 10:07:06 -0700

yt-dlp (2024.08.01-1) unstable; urgency=medium

  * New upstream version 2024.08.01.

 -- Unit 193 <unit193@debian.org>  Thu, 01 Aug 2024 19:49:57 -0400

yt-dlp (2024.07.25-1) unstable; urgency=medium

  * New upstream version 2024.07.25.

 -- Unit 193 <unit193@debian.org>  Fri, 26 Jul 2024 20:46:48 -0400

yt-dlp (2024.07.16-1) unstable; urgency=medium

  * New upstream version 2024.07.16.

 -- Unit 193 <unit193@debian.org>  Wed, 17 Jul 2024 02:06:53 -0400

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: yt-dlp
-Maintainer: Unit 193 <unit193@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Unit 193 <unit193@debian.org>
 Section: web
 Priority: optional
-Build-Depends:
- debhelper-compat (= 13),
- dh-python (>= 5.20211213~),
- pandoc,
- pybuild-plugin-pyproject,
- python3-pkg-resources,
- python3-pytest <!nocheck>,
- python3-hatchling,
- zip
-Build-Depends-Indep:
- python3
+Build-Depends: debhelper-compat (= 13),
+               dh-python (>= 5.20211213~),
+               pandoc,
+               pybuild-plugin-pyproject,
+               python3-hatchling,
+               python3-pkg-resources,
+               python3-pytest <!nocheck>,
+               zip
+Build-Depends-Indep: python3
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Vcs-Browser: https://codeberg.org/Unit193/yt-dlp
@@ -21,17 +20,9 @@
 
 Package: yt-dlp
 Architecture: all
-Depends:
- ${misc:Depends},
- ${python3:Depends},
- python3-pkg-resources
-Recommends:
- aria2 | wget | curl,
- ca-certificates,
- ffmpeg,
-Suggests:
- libfribidi-bin | bidiv,
- phantomjs
+Depends: python3-pkg-resources, ${misc:Depends}, ${python3:Depends},
+         aria2 | wget | curl, ca-certificates, ffmpeg
+Suggests: libfribidi-bin | bidiv, phantomjs
 Description: downloader of videos from YouTube and other sites
  yt-dlp is a youtube-dl fork based on the now inactive youtube-dlc.
  The main focus of this project is adding new features and patches

## yt-dlp 2024.09.27

=== debian/changelog ===
yt-dlp (2024.09.27-1~bpo24.04.1) noble-backports; urgency=medium

  * No-change backport to noble.

 -- Unit 193 <unit193@ubuntu.com>  Tue, 01 Oct 2024 00:55:53 -0400

yt-dlp (2024.09.27-1) unstable; urgency=medium

  * New upstream version 2024.09.27.

 -- Unit 193 <unit193@debian.org>  Sat, 28 Sep 2024 00:32:03 -0400

yt-dlp (2024.08.06-1) unstable; urgency=medium

  * New upstream version 2024.08.06.

 -- Unit 193 <unit193@debian.org>  Mon, 05 Aug 2024 23:42:00 -0400

## yt-dlp 2024.10.07

=== debian/changelog ===
yt-dlp (2024.10.07-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Unit 193 <unit193@debian.org>  Thu, 10 Oct 2024 00:38:17 -0400

yt-dlp (2024.10.07-1) unstable; urgency=medium

  * New upstream version 2024.10.07.

 -- Unit 193 <unit193@debian.org>  Mon, 07 Oct 2024 23:28:58 -0400

## yt-dlp 2024.10.22

=== debian/changelog ===
yt-dlp (2024.10.22-1) unstable; urgency=medium

  * New upstream version 2024.10.22.
  * d/control: Drop (Build-)Depends on python3-pkg-resources.
    Closes: #1084001

 -- Unit 193 <unit193@debian.org>  Tue, 22 Oct 2024 01:24:09 -0400

## yt-dlp 2024.11.04

=== debian/changelog ===
yt-dlp (2024.11.04-1) unstable; urgency=medium

  * New upstream version 2024.11.04.
  * d/rules: Search 'default' section for depends.

 -- Unit 193 <unit193@debian.org>  Mon, 04 Nov 2024 02:09:50 -0500

## yt-dlp 2024.11.18

=== debian/changelog ===
yt-dlp (2024.11.18-1~bpo24.04.1) noble-backports; urgency=medium

  * No-change backport to noble.

 -- Unit 193 <unit193@ubuntu.com>  Sun, 24 Nov 2024 19:28:52 -0500

yt-dlp (2024.11.18-1) unstable; urgency=medium

  * New upstream version 2024.11.18.
  * d/p/0005-fix-hatchling-breaking-backportability.patch:
    - Remove the classifiers, because hatchling is braindead dumb.

 -- Unit 193 <unit193@debian.org>  Wed, 20 Nov 2024 01:42:43 -0500

## yt-dlp 2024.12.23

=== debian/changelog ===
yt-dlp (2024.12.23-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 26 Dec 2024 22:10:32 -0800

yt-dlp (2024.12.23-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Unit 193 <unit193@debian.org>  Wed, 25 Dec 2024 23:46:46 -0500

yt-dlp (2024.12.23-1) unstable; urgency=medium

  * New upstream version 2024.12.23.

 -- Unit 193 <unit193@debian.org>  Tue, 24 Dec 2024 01:53:31 -0500

yt-dlp (2024.12.13-1) unstable; urgency=medium

  * New upstream version 2024.12.13.

 -- Unit 193 <unit193@debian.org>  Sat, 14 Dec 2024 05:07:05 -0500

yt-dlp (2024.12.06-1) unstable; urgency=medium

  * New upstream version 2024.12.06.

 -- Unit 193 <unit193@debian.org>  Sat, 07 Dec 2024 03:33:06 -0500

yt-dlp (2024.12.03-1) unstable; urgency=medium

  * New upstream version 2024.12.03.

 -- Unit 193 <unit193@debian.org>  Wed, 04 Dec 2024 07:52:05 -0500

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
                pandoc,
                pybuild-plugin-pyproject,
                python3-hatchling,
-               python3-pkg-resources,
                python3-pytest <!nocheck>,
                zip
 Build-Depends-Indep: python3
@@ -20,8 +19,8 @@
 
 Package: yt-dlp
 Architecture: all
-Depends: python3-pkg-resources, ${misc:Depends}, ${python3:Depends},
-         aria2 | wget | curl, ca-certificates, ffmpeg
+Depends: ${misc:Depends}, ${python3:Depends}
+Recommends: aria2 | wget | curl, ca-certificates, ffmpeg
 Suggests: libfribidi-bin | bidiv, phantomjs
 Description: downloader of videos from YouTube and other sites
  yt-dlp is a youtube-dl fork based on the now inactive youtube-dlc.

## yt-dlp 2025.01.15

=== debian/changelog ===
yt-dlp (2025.01.15-1~bpo24.04.1) noble-backports; urgency=medium

  * No-change backport to noble.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 16 Jan 2025 20:17:43 -0500

yt-dlp (2025.01.15-1) unstable; urgency=medium

  * New upstream version 2025.01.15.

 -- Unit 193 <unit193@debian.org>  Thu, 16 Jan 2025 02:28:44 -0500

yt-dlp (2025.01.12-1) unstable; urgency=medium

  * New upstream version 2025.01.12.
  * d/copyright: Bump years.

 -- Unit 193 <unit193@debian.org>  Sun, 12 Jan 2025 21:52:23 -0500

## yt-dlp 2025.01.26

=== debian/changelog ===
yt-dlp (2025.01.26-1) unstable; urgency=medium

  * New upstream version 2025.01.26.

 -- Unit 193 <unit193@debian.org>  Mon, 27 Jan 2025 05:32:07 -0500

## yt-dlp 2025.02.19

=== debian/changelog ===
yt-dlp (2025.02.19-1) unstable; urgency=medium

  * New upstream version 2025.02.19.
    - francetv: Fix extractor. (Closes: #1096171)

 -- Unit 193 <unit193@debian.org>  Wed, 19 Feb 2025 08:09:34 -0500

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: yt-dlp
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Unit 193 <unit193@debian.org>
+Maintainer: Unit 193 <unit193@debian.org>
 Section: web
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-python (>= 5.20211213~),
-               pandoc,
-               pybuild-plugin-pyproject,
-               python3-hatchling,
-               python3-pytest <!nocheck>,
-               zip
-Build-Depends-Indep: python3
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-python (>= 5.20211213~),
+ pandoc,
+ pybuild-plugin-pyproject,
+ python3-pytest <!nocheck>,
+ python3-hatchling,
+ zip
+Build-Depends-Indep:
+ python3
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Vcs-Browser: https://codeberg.org/Unit193/yt-dlp
@@ -19,9 +20,16 @@
 
 Package: yt-dlp
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
-Recommends: aria2 | wget | curl, ca-certificates, ffmpeg
-Suggests: libfribidi-bin | bidiv, phantomjs
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+Recommends:
+ aria2 | wget | curl,
+ ca-certificates,
+ ffmpeg,
+Suggests:
+ libfribidi-bin | bidiv,
+ phantomjs
 Description: downloader of videos from YouTube and other sites
  yt-dlp is a youtube-dl fork based on the now inactive youtube-dlc.
  The main focus of this project is adding new features and patches

## yt-dlp 2025.03.25-1+11.0trisquel1

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # Keep this list in sync with pyproject.toml includes/artifacts
 # intended use: when building a source distribution,
 # make pypi-files && python3 -m build -sn .
-pypi-files: AUTHORS Changelog.md LICENSE README.md README.txt supportedsites \
+pypi-files: Changelog.md LICENSE README.md README.txt supportedsites \
             completions yt-dlp.1 pyproject.toml setup.cfg devscripts/* test/*
 
 .PHONY: all clean clean-all clean-test clean-dist clean-cache \
@@ -21,13 +21,13 @@
 	rm -rf test/testdata/sigs/player-*.js tmp/ *.annotations.xml *.aria2 *.description *.dump *.frag \
 	*.frag.aria2 *.frag.urls *.info.json *.live_chat.json *.meta *.part* *.tmp *.temp *.unknown_video *.ytdl \
 	*.3gp *.ape *.ass *.avi *.desktop *.f4v *.flac *.flv *.gif *.jpeg *.jpg *.lrc *.m4a *.m4v *.mhtml *.mkv *.mov *.mp3 *.mp4 \
-	*.mpg *.mpga *.oga *.ogg *.opus *.png *.sbv *.srt *.ssa *.swf *.swp *.tt *.ttml *.url *.vtt *.wav *.webloc *.webm *.webp
+	*.mpg *.mpga *.oga *.ogg *.opus *.png *.sbv *.srt *.ssa *.swf *.tt *.ttml *.url *.vtt *.wav *.webloc *.webm *.webp
 clean-dist:
 	rm -rf yt-dlp.1.temp.md yt-dlp.1 README.txt MANIFEST build/ dist/ .coverage cover/ yt-dlp.tar.gz completions/ \
 	yt_dlp/extractor/lazy_extractors.py *.spec CONTRIBUTING.md.tmp yt-dlp yt-dlp.exe yt_dlp.egg-info/ AUTHORS
 clean-cache:
 	find . \( \
-		-type d -name .pytest_cache -o -type d -name __pycache__ -o -name "*.pyc" -o -name "*.class" \
+		-type d -name ".*_cache" -o -type d -name __pycache__ -o -name "*.pyc" -o -name "*.class" \
 	\) -prune -exec rm -rf {} \;
 
 completion-bash: completions/bash/yt-dlp
@@ -70,14 +70,15 @@
 	rm -f $(DESTDIR)$(SHAREDIR)/fish/vendor_completions.d/yt-dlp.fish
 
 codetest:
-	flake8 .
+	ruff check .
+	autopep8 --diff .
 
 test:
-	$(PYTHON) -m pytest
+	$(PYTHON) -m pytest -Werror
 	$(MAKE) codetest
 
-offlinetest: codetest
-	$(PYTHON) -m pytest -k "not download"
+offlinetest:
+	$(PYTHON) -m pytest -m "not download"
 
 CODE_FOLDERS_CMD = find yt_dlp -type f -name '__init__.py' | sed 's,/__init__.py,,' | grep -v '/__' | sort
 CODE_FOLDERS != $(CODE_FOLDERS_CMD)
@@ -151,7 +152,7 @@
 		--exclude '*.pyo' \
 		--exclude '*~' \
 		--exclude '__pycache__' \
-		--exclude '.pytest_cache' \
+		--exclude '.*_cache' \
 		--exclude '.git' \
 		-- \
 		README.md supportedsites.md Changelog.md LICENSE \

=== .pc/0004-Makefile-Don-t-run-flake8-when-running-offlinetest.patch/Makefile ===
all: lazy-extractors yt-dlp doc pypi-files
clean: clean-test clean-dist
clean-all: clean clean-cache
completions: completion-bash completion-fish completion-zsh
doc: README.md CONTRIBUTING.md CONTRIBUTORS issuetemplates supportedsites
ot: offlinetest
tar: yt-dlp.tar.gz

# Keep this list in sync with pyproject.toml includes/artifacts
# intended use: when building a source distribution,
# make pypi-files && python3 -m build -sn .
pypi-files: Changelog.md LICENSE README.md README.txt supportedsites \
            completions yt-dlp.1 pyproject.toml setup.cfg devscripts/* test/*

.PHONY: all clean clean-all clean-test clean-dist clean-cache \
        completions completion-bash completion-fish completion-zsh \
        doc issuetemplates supportedsites ot offlinetest codetest test \
        tar pypi-files lazy-extractors install uninstall

clean-test:
	rm -rf test/testdata/sigs/player-*.js tmp/ *.annotations.xml *.aria2 *.description *.dump *.frag \
	*.frag.aria2 *.frag.urls *.info.json *.live_chat.json *.meta *.part* *.tmp *.temp *.unknown_video *.ytdl \
	*.3gp *.ape *.ass *.avi *.desktop *.f4v *.flac *.flv *.gif *.jpeg *.jpg *.lrc *.m4a *.m4v *.mhtml *.mkv *.mov *.mp3 *.mp4 \
	*.mpg *.mpga *.oga *.ogg *.opus *.png *.sbv *.srt *.ssa *.swf *.tt *.ttml *.url *.vtt *.wav *.webloc *.webm *.webp
clean-dist:
	rm -rf yt-dlp.1.temp.md yt-dlp.1 README.txt MANIFEST build/ dist/ .coverage cover/ yt-dlp.tar.gz completions/ \
	yt_dlp/extractor/lazy_extractors.py *.spec CONTRIBUTING.md.tmp yt-dlp yt-dlp.exe yt_dlp.egg-info/ AUTHORS
clean-cache:
	find . \( \
		-type d -name ".*_cache" -o -type d -name __pycache__ -o -name "*.pyc" -o -name "*.class" \
	\) -prune -exec rm -rf {} \;

completion-bash: completions/bash/yt-dlp
completion-fish: completions/fish/yt-dlp.fish
completion-zsh: completions/zsh/_yt-dlp
lazy-extractors: yt_dlp/extractor/lazy_extractors.py

PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/man
SHAREDIR ?= $(PREFIX)/share
PYTHON ?= /usr/bin/env python3
GNUTAR ?= tar

# set markdown input format to "markdown-smart" for pandoc version 2+ and to "markdown" for pandoc prior to version 2
PANDOC_VERSION_CMD = pandoc -v 2>/dev/null | head -n1 | cut -d' ' -f2 | head -c1
PANDOC_VERSION != $(PANDOC_VERSION_CMD)
PANDOC_VERSION ?= $(shell $(PANDOC_VERSION_CMD))
MARKDOWN_CMD = if [ "$(PANDOC_VERSION)" = "1" -o "$(PANDOC_VERSION)" = "0" ]; then echo markdown; else echo markdown-smart; fi
MARKDOWN != $(MARKDOWN_CMD)
MARKDOWN ?= $(shell $(MARKDOWN_CMD))

install: lazy-extractors yt-dlp yt-dlp.1 completions
	mkdir -p $(DESTDIR)$(BINDIR)
	install -m755 yt-dlp $(DESTDIR)$(BINDIR)/yt-dlp
	mkdir -p $(DESTDIR)$(MANDIR)/man1
	install -m644 yt-dlp.1 $(DESTDIR)$(MANDIR)/man1/yt-dlp.1
	mkdir -p $(DESTDIR)$(SHAREDIR)/bash-completion/completions
	install -m644 completions/bash/yt-dlp $(DESTDIR)$(SHAREDIR)/bash-completion/completions/yt-dlp
	mkdir -p $(DESTDIR)$(SHAREDIR)/zsh/site-functions
	install -m644 completions/zsh/_yt-dlp $(DESTDIR)$(SHAREDIR)/zsh/site-functions/_yt-dlp
	mkdir -p $(DESTDIR)$(SHAREDIR)/fish/vendor_completions.d
	install -m644 completions/fish/yt-dlp.fish $(DESTDIR)$(SHAREDIR)/fish/vendor_completions.d/yt-dlp.fish

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/yt-dlp
	rm -f $(DESTDIR)$(MANDIR)/man1/yt-dlp.1
	rm -f $(DESTDIR)$(SHAREDIR)/bash-completion/completions/yt-dlp
	rm -f $(DESTDIR)$(SHAREDIR)/zsh/site-functions/_yt-dlp
	rm -f $(DESTDIR)$(SHAREDIR)/fish/vendor_completions.d/yt-dlp.fish

codetest:
	ruff check .
	autopep8 --diff .

test:
	$(PYTHON) -m pytest -Werror
	$(MAKE) codetest

offlinetest: codetest
	$(PYTHON) -m pytest -Werror -m "not download"

CODE_FOLDERS_CMD = find yt_dlp -type f -name '__init__.py' | sed 's,/__init__.py,,' | grep -v '/__' | sort
CODE_FOLDERS != $(CODE_FOLDERS_CMD)
CODE_FOLDERS ?= $(shell $(CODE_FOLDERS_CMD))
CODE_FILES_CMD = for f in $(CODE_FOLDERS) ; do echo "$$f" | sed 's,$$,/*.py,' ; done
CODE_FILES != $(CODE_FILES_CMD)
CODE_FILES ?= $(shell $(CODE_FILES_CMD))
yt-dlp: $(CODE_FILES)
	mkdir -p zip
	for d in $(CODE_FOLDERS) ; do \
	  mkdir -p zip/$$d ;\
	  cp -pPR $$d/*.py zip/$$d/ ;\
	done
	(cd zip && touch -t 200001010101 $(CODE_FILES))
	mv zip/yt_dlp/__main__.py zip/
	(cd zip && zip -q ../yt-dlp $(CODE_FILES) __main__.py)
	rm -rf zip
	echo '#!$(PYTHON)' > yt-dlp
	cat yt-dlp.zip >> yt-dlp
	rm yt-dlp.zip
	chmod a+x yt-dlp

README.md: $(CODE_FILES) devscripts/make_readme.py
	COLUMNS=80 $(PYTHON) yt_dlp/__main__.py --ignore-config --help | $(PYTHON) devscripts/make_readme.py

CONTRIBUTING.md: README.md devscripts/make_contributing.py
	$(PYTHON) devscripts/make_contributing.py README.md CONTRIBUTING.md

issuetemplates: devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/1_broken_site.yml .github/ISSUE_TEMPLATE_tmpl/2_site_support_request.yml .github/ISSUE_TEMPLATE_tmpl/3_site_feature_request.yml .github/ISSUE_TEMPLATE_tmpl/4_bug_report.yml .github/ISSUE_TEMPLATE_tmpl/5_feature_request.yml yt_dlp/version.py
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/1_broken_site.yml .github/ISSUE_TEMPLATE/1_broken_site.yml
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/2_site_support_request.yml .github/ISSUE_TEMPLATE/2_site_support_request.yml
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/3_site_feature_request.yml .github/ISSUE_TEMPLATE/3_site_feature_request.yml
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/4_bug_report.yml .github/ISSUE_TEMPLATE/4_bug_report.yml
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/5_feature_request.yml .github/ISSUE_TEMPLATE/5_feature_request.yml
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/6_question.yml .github/ISSUE_TEMPLATE/6_question.yml

supportedsites:
	$(PYTHON) devscripts/make_supportedsites.py supportedsites.md

README.txt: README.md
	pandoc -f $(MARKDOWN) -t plain README.md -o README.txt

yt-dlp.1: README.md devscripts/prepare_manpage.py
	$(PYTHON) devscripts/prepare_manpage.py yt-dlp.1.temp.md
	pandoc -s -f $(MARKDOWN) -t man yt-dlp.1.temp.md -o yt-dlp.1
	rm -f yt-dlp.1.temp.md

completions/bash/yt-dlp: $(CODE_FILES) devscripts/bash-completion.in
	mkdir -p completions/bash
	$(PYTHON) devscripts/bash-completion.py

completions/zsh/_yt-dlp: $(CODE_FILES) devscripts/zsh-completion.in
	mkdir -p completions/zsh
	$(PYTHON) devscripts/zsh-completion.py

completions/fish/yt-dlp.fish: $(CODE_FILES) devscripts/fish-completion.in
	mkdir -p completions/fish
	$(PYTHON) devscripts/fish-completion.py

_EXTRACTOR_FILES_CMD = find yt_dlp/extractor -name '*.py' -and -not -name 'lazy_extractors.py'
_EXTRACTOR_FILES != $(_EXTRACTOR_FILES_CMD)
_EXTRACTOR_FILES ?= $(shell $(_EXTRACTOR_FILES_CMD))
yt_dlp/extractor/lazy_extractors.py: devscripts/make_lazy_extractors.py devscripts/lazy_load_template.py $(_EXTRACTOR_FILES)
	$(PYTHON) devscripts/make_lazy_extractors.py $@

yt-dlp.tar.gz: all
	@$(GNUTAR) -czf yt-dlp.tar.gz --transform "s|^|yt-dlp/|" --owner 0 --group 0 \
		--exclude '*.DS_Store' \
		--exclude '*.kate-swp' \
		--exclude '*.pyc' \
		--exclude '*.pyo' \
		--exclude '*~' \
		--exclude '__pycache__' \
		--exclude '.*_cache' \
		--exclude '.git' \
		-- \
		README.md supportedsites.md Changelog.md LICENSE \
		CONTRIBUTING.md Collaborators.md CONTRIBUTORS AUTHORS \
		Makefile yt-dlp.1 README.txt completions .gitignore \
		setup.cfg yt-dlp yt_dlp pyproject.toml devscripts test

AUTHORS: Changelog.md
	@if [ -d '.git' ] && command -v git > /dev/null ; then \
	  echo 'Generating $@ from git commit history' ; \
	  git shortlog -s -n HEAD | cut -f2 | sort > $@ ; \
	fi

CONTRIBUTORS: Changelog.md
	@if [ -d '.git' ] && command -v git > /dev/null ; then \
	  echo 'Updating $@ from git commit history' ; \
	  $(PYTHON) devscripts/make_changelog.py -v -c > /dev/null ; \
	fi

=== debian/changelog ===
yt-dlp (2025.03.25-1+11.0trisquel1) aramo-backports; urgency=medium

  * Track latest release and remove explicit site listing, redirecting
    to website author.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 25 Mar 2025 05:44:04 +0000

yt-dlp (2025.03.25-1) unstable; urgency=medium

  * New upstream version 2025.03.25.
  * Update Standards-Version to 4.7.2.

 -- Unit 193 <unit193@debian.org>  Mon, 24 Mar 2025 20:23:57 -0400

yt-dlp (2025.03.21-1) unstable; urgency=medium

  * New upstream version 2025.03.21.

 -- Unit 193 <unit193@debian.org>  Sat, 22 Mar 2025 06:54:43 -0400

## yt-dlp 2025.03.26

=== debian/changelog ===
yt-dlp (2025.03.26-1) unstable; urgency=medium

  * New upstream version 2025.03.26.

 -- Unit 193 <unit193@debian.org>  Tue, 25 Mar 2025 20:31:17 -0400

## yt-dlp 2025.03.27

=== debian/changelog ===
yt-dlp (2025.03.27-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Unit 193 <unit193@debian.org>  Tue, 01 Apr 2025 21:11:16 -0400

yt-dlp (2025.03.27-1) unstable; urgency=medium

  * New upstream version 2025.03.27.

 -- Unit 193 <unit193@debian.org>  Sat, 29 Mar 2025 07:24:39 -0400

## yt-dlp 2025.04.30

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # Keep this list in sync with pyproject.toml includes/artifacts
 # intended use: when building a source distribution,
 # make pypi-files && python3 -m build -sn .
-pypi-files: Changelog.md LICENSE README.md README.txt supportedsites \
+pypi-files: AUTHORS Changelog.md LICENSE README.md README.txt supportedsites \
             completions yt-dlp.1 pyproject.toml setup.cfg devscripts/* test/*
 
 .PHONY: all clean clean-all clean-test clean-dist clean-cache \
@@ -77,8 +77,8 @@
 	$(PYTHON) -m pytest -Werror
 	$(MAKE) codetest
 
-offlinetest:
-	$(PYTHON) -m pytest -m "not download"
+offlinetest: codetest
+	$(PYTHON) -m pytest -Werror -m "not download"
 
 CODE_FOLDERS_CMD = find yt_dlp -type f -name '__init__.py' | sed 's,/__init__.py,,' | grep -v '/__' | sort
 CODE_FOLDERS != $(CODE_FOLDERS_CMD)

=== debian/changelog ===
yt-dlp (2025.04.30-1) unstable; urgency=medium

  * New upstream version 2025.04.30.

 -- Unit 193 <unit193@debian.org>  Wed, 30 Apr 2025 21:06:35 -0400

yt-dlp (2025.03.31-1) unstable; urgency=medium

  * New upstream version 2025.03.31.

 -- Unit 193 <unit193@debian.org>  Mon, 07 Apr 2025 03:49:13 -0400

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Build-Depends-Indep:
  python3
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://codeberg.org/Unit193/yt-dlp
 Vcs-Git: https://codeberg.org/Unit193/yt-dlp.git
 Homepage: https://github.com/yt-dlp/yt-dlp

## yt-dlp 2025.04.30-1trisquel1

=== debian/changelog ===
yt-dlp (2025.04.30-1trisquel1) ecne-backports; urgency=medium

  * Remove explicit site listing, redirecting to website author.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 01 May 2025 06:40:47 +0000

## yt-dlp 2025.05.22

=== debian/changelog ===
yt-dlp (2025.05.22-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 23 May 2025 09:44:10 -0700

yt-dlp (2025.05.22-1) unstable; urgency=medium

  * New upstream version 2025.05.22.

 -- Unit 193 <unit193@debian.org>  Thu, 22 May 2025 06:51:11 -0400

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: yt-dlp
-Maintainer: Unit 193 <unit193@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Unit 193 <unit193@debian.org>
 Section: web
 Priority: optional
-Build-Depends:
- debhelper-compat (= 13),
- dh-python (>= 5.20211213~),
- pandoc,
- pybuild-plugin-pyproject,
- python3-pytest <!nocheck>,
- python3-hatchling,
- zip
-Build-Depends-Indep:
- python3
+Build-Depends: debhelper-compat (= 13),
+               dh-python (>= 5.20211213~),
+               pandoc,
+               pybuild-plugin-pyproject,
+               python3-hatchling,
+               python3-pytest <!nocheck>,
+               zip
+Build-Depends-Indep: python3
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Vcs-Browser: https://codeberg.org/Unit193/yt-dlp
@@ -20,16 +19,9 @@
 
 Package: yt-dlp
 Architecture: all
-Depends:
- ${misc:Depends},
- ${python3:Depends},
-Recommends:
- aria2 | wget | curl,
- ca-certificates,
- ffmpeg,
-Suggests:
- libfribidi-bin | bidiv,
- phantomjs
+Depends: ${misc:Depends}, ${python3:Depends},
+         aria2 | wget | curl, ca-certificates, ffmpeg
+Suggests: libfribidi-bin | bidiv, phantomjs
 Description: downloader of videos from YouTube and other sites
  yt-dlp is a youtube-dl fork based on the now inactive youtube-dlc.
  The main focus of this project is adding new features and patches

## yt-dlp 2025.06.09-1+11.0trisquel2

=== debian/changelog ===
yt-dlp (2025.06.09-1+11.0trisquel2) aramo-backports; urgency=medium

  * Track latest release and remove explicit site listing, redirecting
    to website author.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 21 Jun 2025 06:46:03 +0000

yt-dlp (2025.06.09-1) unstable; urgency=medium

  * New upstream version 2025.06.09.

 -- Unit 193 <unit193@debian.org>  Tue, 10 Jun 2025 03:25:32 -0400

## yt-dlp 2025.06.25

=== debian/changelog ===
yt-dlp (2025.06.25-1) unstable; urgency=medium

  * New upstream version 2025.06.25.

 -- Unit 193 <unit193@debian.org>  Mon, 30 Jun 2025 03:44:00 -0400

## yt-dlp 2025.06.30

=== debian/changelog ===
yt-dlp (2025.06.30-1~bpo24.04.1) noble-backports; urgency=medium

  * No-change backport to noble. (LP: #2115187)

 -- Unit 193 <unit193@ubuntu.com>  Thu, 03 Jul 2025 05:02:33 -0400

yt-dlp (2025.06.30-1) unstable; urgency=medium

  * New upstream version 2025.06.30.

 -- Unit 193 <unit193@debian.org>  Tue, 01 Jul 2025 07:07:53 -0400

## yt-dlp 2025.06.30-1+11.0trisquel2

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # Keep this list in sync with pyproject.toml includes/artifacts
 # intended use: when building a source distribution,
 # make pypi-files && python3 -m build -sn .
-pypi-files: AUTHORS Changelog.md LICENSE README.md README.txt supportedsites \
+pypi-files: Changelog.md LICENSE README.md README.txt supportedsites \
             completions yt-dlp.1 pyproject.toml setup.cfg devscripts/* test/*
 
 .PHONY: all clean clean-all clean-test clean-dist clean-cache \
@@ -18,10 +18,11 @@
         tar pypi-files lazy-extractors install uninstall
 
 clean-test:
-	rm -rf test/testdata/sigs/player-*.js tmp/ *.annotations.xml *.aria2 *.description *.dump *.frag \
+	rm -rf tmp/ *.annotations.xml *.aria2 *.description *.dump *.frag \
 	*.frag.aria2 *.frag.urls *.info.json *.live_chat.json *.meta *.part* *.tmp *.temp *.unknown_video *.ytdl \
 	*.3gp *.ape *.ass *.avi *.desktop *.f4v *.flac *.flv *.gif *.jpeg *.jpg *.lrc *.m4a *.m4v *.mhtml *.mkv *.mov *.mp3 *.mp4 \
-	*.mpg *.mpga *.oga *.ogg *.opus *.png *.sbv *.srt *.ssa *.swf *.tt *.ttml *.url *.vtt *.wav *.webloc *.webm *.webp
+	*.mpg *.mpga *.oga *.ogg *.opus *.png *.sbv *.srt *.ssa *.swf *.tt *.ttml *.url *.vtt *.wav *.webloc *.webm *.webp \
+	test/testdata/sigs/player-*.js test/testdata/thumbnails/empty.webp "test/testdata/thumbnails/foo %d bar/foo_%d."*
 clean-dist:
 	rm -rf yt-dlp.1.temp.md yt-dlp.1 README.txt MANIFEST build/ dist/ .coverage cover/ yt-dlp.tar.gz completions/ \
 	yt_dlp/extractor/lazy_extractors.py *.spec CONTRIBUTING.md.tmp yt-dlp yt-dlp.exe yt_dlp.egg-info/ AUTHORS
@@ -77,8 +78,8 @@
 	$(PYTHON) -m pytest -Werror
 	$(MAKE) codetest
 
-offlinetest: codetest
-	$(PYTHON) -m pytest -Werror -m "not download"
+offlinetest:
+	$(PYTHON) -m pytest -m "not download"
 
 CODE_FOLDERS_CMD = find yt_dlp -type f -name '__init__.py' | sed 's,/__init__.py,,' | grep -v '/__' | sort
 CODE_FOLDERS != $(CODE_FOLDERS_CMD)

=== .pc/0004-Makefile-Don-t-run-flake8-when-running-offlinetest.patch/Makefile ===
--- 
+++ 
@@ -18,10 +18,11 @@
         tar pypi-files lazy-extractors install uninstall
 
 clean-test:
-	rm -rf test/testdata/sigs/player-*.js tmp/ *.annotations.xml *.aria2 *.description *.dump *.frag \
+	rm -rf tmp/ *.annotations.xml *.aria2 *.description *.dump *.frag \
 	*.frag.aria2 *.frag.urls *.info.json *.live_chat.json *.meta *.part* *.tmp *.temp *.unknown_video *.ytdl \
 	*.3gp *.ape *.ass *.avi *.desktop *.f4v *.flac *.flv *.gif *.jpeg *.jpg *.lrc *.m4a *.m4v *.mhtml *.mkv *.mov *.mp3 *.mp4 \
-	*.mpg *.mpga *.oga *.ogg *.opus *.png *.sbv *.srt *.ssa *.swf *.tt *.ttml *.url *.vtt *.wav *.webloc *.webm *.webp
+	*.mpg *.mpga *.oga *.ogg *.opus *.png *.sbv *.srt *.ssa *.swf *.tt *.ttml *.url *.vtt *.wav *.webloc *.webm *.webp \
+	test/testdata/sigs/player-*.js test/testdata/thumbnails/empty.webp "test/testdata/thumbnails/foo %d bar/foo_%d."*
 clean-dist:
 	rm -rf yt-dlp.1.temp.md yt-dlp.1 README.txt MANIFEST build/ dist/ .coverage cover/ yt-dlp.tar.gz completions/ \
 	yt_dlp/extractor/lazy_extractors.py *.spec CONTRIBUTING.md.tmp yt-dlp yt-dlp.exe yt_dlp.egg-info/ AUTHORS

=== debian/changelog ===
yt-dlp (2025.06.30-1+11.0trisquel2) aramo-backports; urgency=medium

  * Track latest release and remove explicit site listing, redirecting
    to website author.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 01 Jul 2025 18:48:46 +0000

## yt-dlp 2025.07.21

=== debian/changelog ===
yt-dlp (2025.07.21-1~bpo22.04.1) jammy-backports; urgency=medium

  * No-change backport to jammy.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 31 Jul 2025 03:39:49 -0400

yt-dlp (2025.07.21-1) unstable; urgency=medium

  * New upstream version 2025.07.21.

 -- Unit 193 <unit193@debian.org>  Thu, 24 Jul 2025 19:29:04 -0400

## yt-dlp 2025.07.21-1trisquel2

=== debian/changelog ===
yt-dlp (2025.07.21-1trisquel2) ecne-backports; urgency=medium

  * Remove explicit site listing, redirecting to website author.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 25 Jul 2025 06:52:24 +0000

## yt-dlp 2025.07.21-1+11.0trisquel2

=== debian/changelog ===
yt-dlp (2025.07.21-1+11.0trisquel2) aramo-backports; urgency=medium

  * Track latest release and remove explicit site listing, redirecting
    to website author.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 25 Jul 2025 06:52:21 +0000

## yt-dlp 2025.08.11

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # Keep this list in sync with pyproject.toml includes/artifacts
 # intended use: when building a source distribution,
 # make pypi-files && python3 -m build -sn .
-pypi-files: Changelog.md LICENSE README.md README.txt supportedsites \
+pypi-files: AUTHORS Changelog.md LICENSE README.md README.txt supportedsites \
             completions yt-dlp.1 pyproject.toml setup.cfg devscripts/* test/*
 
 .PHONY: all clean clean-all clean-test clean-dist clean-cache \
@@ -78,8 +78,8 @@
 	$(PYTHON) -m pytest -Werror
 	$(MAKE) codetest
 
-offlinetest:
-	$(PYTHON) -m pytest -m "not download"
+offlinetest: codetest
+	$(PYTHON) -m pytest -Werror -m "not download"
 
 CODE_FOLDERS_CMD = find yt_dlp -type f -name '__init__.py' | sed 's,/__init__.py,,' | grep -v '/__' | sort
 CODE_FOLDERS != $(CODE_FOLDERS_CMD)

=== debian/changelog ===
yt-dlp (2025.08.11-1~bpo24.04.1) noble-backports; urgency=medium

  * No-change backport to noble.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 11 Aug 2025 18:36:53 -0400

yt-dlp (2025.08.11-1) unstable; urgency=medium

  * New upstream version 2025.08.11.

 -- Unit 193 <unit193@debian.org>  Mon, 11 Aug 2025 02:24:20 -0400

## yt-dlp 2025.08.11-1trisquel2

=== debian/changelog ===
yt-dlp (2025.08.11-1trisquel2) ecne-backports; urgency=medium

  * Remove explicit site listing, redirecting to website author.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 12 Aug 2025 22:32:47 +0000

## yt-dlp 2025.08.11-1+11.0trisquel2

=== debian/changelog ===
yt-dlp (2025.08.11-1+11.0trisquel2) aramo-backports; urgency=medium

  * Track latest release and remove explicit site listing, redirecting
    to website author.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 12 Aug 2025 22:35:51 +0000

## yt-dlp 2025.08.20

=== debian/changelog ===
yt-dlp (2025.08.20-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 22 Aug 2025 07:05:18 -0700

yt-dlp (2025.08.20-1) unstable; urgency=medium

  * New upstream version 2025.08.20.

 -- Unit 193 <unit193@debian.org>  Wed, 20 Aug 2025 07:17:52 -0400

## yt-dlp 2025.08.20-1trisquel2

=== debian/changelog ===
yt-dlp (2025.08.20-1trisquel2) ecne-backports; urgency=medium

  * Remove explicit site listing, redirecting to website author.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 21 Aug 2025 18:49:25 +0000

## yt-dlp 2025.08.20-1+11.0trisquel2

=== debian/changelog ===
yt-dlp (2025.08.20-1+11.0trisquel2) aramo-backports; urgency=medium

  * Track latest release and remove explicit site listing, redirecting
    to website author.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 20 Aug 2025 15:48:04 +0000

## yt-dlp 2025.08.22

=== debian/changelog ===
yt-dlp (2025.08.22-1) unstable; urgency=medium

  * New upstream version 2025.08.22.

 -- Unit 193 <unit193@debian.org>  Sun, 24 Aug 2025 08:43:07 -0400

## yt-dlp 2025.08.27

=== debian/changelog ===
yt-dlp (2025.08.27-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 05 Sep 2025 14:49:00 -0700

yt-dlp (2025.08.27-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Unit 193 <unit193@debian.org>  Wed, 03 Sep 2025 06:36:16 -0400

yt-dlp (2025.08.27-1) unstable; urgency=medium

  * New upstream version 2025.08.27.

 -- Unit 193 <unit193@debian.org>  Thu, 28 Aug 2025 02:48:11 -0400

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 Package: yt-dlp
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
-         aria2 | wget | curl, ca-certificates, ffmpeg
+          aria2 | wget | curl, ca-certificates, ffmpeg
 Suggests: libfribidi-bin | bidiv, phantomjs
 Description: downloader of videos from YouTube and other sites
  yt-dlp is a youtube-dl fork based on the now inactive youtube-dlc.

## yt-dlp 2025.08.27-1trisquel3

=== debian/changelog ===
yt-dlp (2025.08.27-1trisquel3) ecne-backports; urgency=medium

  * Remove explicit site listing, redirecting to website author.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 28 Aug 2025 14:09:40 +0000

## yt-dlp 2025.08.27-1+11.0trisquel3

=== debian/changelog ===
yt-dlp (2025.08.27-1+11.0trisquel3) aramo-backports; urgency=medium

  * Track latest release and remove explicit site listing, redirecting
    to website author.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 28 Aug 2025 14:13:55 +0000

=== debian/control ===
Source: yt-dlp
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Section: web
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python (>= 5.20211213~),
 pandoc,
 pybuild-plugin-pyproject,
 python3-pytest <!nocheck>,
 python3-hatchling,
 zip
Build-Depends-Indep:
 python3
Rules-Requires-Root: no
Standards-Version: 4.7.2
Vcs-Browser: https://codeberg.org/Unit193/yt-dlp
Vcs-Git: https://codeberg.org/Unit193/yt-dlp.git
Homepage: https://github.com/yt-dlp/yt-dlp

Package: yt-dlp
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 aria2 | wget | curl,
 ca-certificates,
 ffmpeg,
Suggests:
 libfribidi-bin | bidiv,
 phantomjs
Description: downloader of videos from YouTube and other sites
 yt-dlp is a youtube-dl fork based on the now inactive youtube-dlc.
 The main focus of this project is adding new features and patches
 while also keeping up to date with the original project.
 .
 yt-dlp is a small command-line program to download videos from
 YouTube.com and other sites that don't provide direct links to the
 videos served.
 .
 yt-dlp allows the user, among other things, to choose a specific video
 quality to download (if available) or let the program automatically
 determine the best (or worst) quality video to grab. It supports
 downloading entire playlists and all videos from a given user.
 .
 Currently supported sites (or features of sites) are at:
 https://ytdl-org.github.io/youtube-dl/supportedsites.html

## yt-dlp 2025.09.05

=== debian/changelog ===
yt-dlp (2025.09.05-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Unit 193 <unit193@debian.org>  Thu, 11 Sep 2025 06:36:59 -0400

yt-dlp (2025.09.05-1) unstable; urgency=medium

  * New upstream version 2025.09.05.

 -- Unit 193 <unit193@debian.org>  Sun, 07 Sep 2025 20:46:33 -0400

## yt-dlp 2025.09.05-1trisquel3

=== debian/changelog ===
yt-dlp (2025.09.05-1trisquel3) ecne-backports; urgency=medium

  * Remove explicit site listing, redirecting to website author.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 08 Sep 2025 06:53:39 +0000

## yt-dlp 2025.09.05-1+11.0trisquel3

=== debian/changelog ===
yt-dlp (2025.09.05-1+11.0trisquel3) aramo-backports; urgency=medium

  * Track latest release and remove explicit site listing, redirecting
    to website author.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 08 Sep 2025 06:53:34 +0000
